package main

import (
	"log"

	"github.com/buaazp/fasthttprouter"
	"github.com/valyala/fasthttp"

	userHandlers "git.loafle.net/totopia/server/pkg/modules/user/handlers"
)

func main() {
	router := fasthttprouter.New()

	router.GET("/user/users", userHandlers.GetUsers)
	router.POST("/user/users", userHandlers.PostUsers)

	log.Fatal(fasthttp.ListenAndServe(":8080", router.Handler))
}
